# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(FindBin.pm) perl(Moose.pm) perl(Test/Spec.pm) perl(lib.pm) perl(namespace/autoclean.pm)
# END SourceDeps(oneline)
%define module_version 0.1.2
%define module_name Array-Queue
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.1.2
Release: alt1
Summary: A simple fifo queue
Group: Development/Perl
License: artistic_2
URL: https://github.com/dwburke/perl-Array-Queue

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/D/DB/DBURKE/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
Array::Queue is a fairly simple First-In / First-Out queue build with Moose.

Any data structure can be added to the queue and retrieved in the order it was 
added.  

Originally part of Array::Queue::Priority until I decided to break them into two
classes, the one dependant on the other.
%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE Changes
%perl_vendor_privlib/A*

%changelog
* Sun Jun 05 2016 Igor Vlasenko <viy@altlinux.ru> 0.1.2-alt1
- initial import by package builder

